Gebruikers
Gebruiker op id ophalen
GET /v1/users/by-id/{user_id} reads 1 credits
Het profiel van één account, opgezocht op zijn numerieke id, voor wanneer u een id hebt in plaats van een handle.
antwoord
Het profiel onder user, met id als string. Een niet-numeriek id is 422.
Status: 200, 404, 422, 429, 502
verzoek
curl https://api.xsignalfeed.com/v1/users/by-id/44196397 \ -H "Authorization: Bearer xsf_your_key"
antwoord · 200 / 404
{
"user": {
"id": "44196397",
"name": "Elon Musk",
"screen_name": "elonmusk",
"bio": "…",
"location": null,
"url": "",
"avatar": "https://pbs.twimg.com/profile_images/…",
"banner": "https://pbs.twimg.com/profile_banners/44196397/…",
"pinned": "2099875660290228642",
"verified": true,
"protected": false,
"followers": 241629139,
"following": 1406,
"tweets": 108648
}
}